Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

BattleKits 1.0.4

The awesome kit plugin, now for PocketMine!

  1. Thunder33345
    Offline

    Thunder33345 Notable Member

    Joined:
    Apr 3, 2014
    Posts:
    755
    Minecraft User:
    Thunder33345
    kit
    [21:00:43] [Server thread/INFO]: CONSOLE: kit
    [21:00:43] [Server thread/INFO]: blank: $0
    [21:00:43] [Server thread/INFO]: Starter: $0
    [21:00:43] [Server thread/INFO]: An unknown error occurred while attempting to perform this command
    [21:00:43] [Server thread/CRITICAL]: Unhandled exception executing command 'kit' in battlekits: Array to string conversion
    [21:00:43] [Server thread/NOTICE]: RuntimeException: "Array to string conversion" (E_NOTICE) in "/BattleKits_v1.0.4.phar/src/battlekits/command/BattleKitCommand" at line 37
  2. Thunder33345
    Offline

    Thunder33345 Notable Member

    Joined:
    Apr 3, 2014
    Posts:
    755
    Minecraft User:
    Thunder33345
  3. Falk
    Offline

    Falk Staff Member Global Moderator

    Joined:
    Sep 2, 2013
    Posts:
    1,706
    Plugins:
    22
    Minecraft User:
    Falkirknh
  4. Thunder33345
    Offline

    Thunder33345 Notable Member

    Joined:
    Apr 3, 2014
    Posts:
    755
    Minecraft User:
    Thunder33345
    thanks
    and thanks for removing the
    this kit seem useless thingy
  5. Koovah
    Offline

    Koovah New Member

    Joined:
    Jul 5, 2015
    Posts:
    3
    Minecraft User:
    Koovah
    Hello, the plugin is very nice but why only OPs can use the signs? pls tell me how to change :D
  6. Falk
    Offline

    Falk Staff Member Global Moderator

    Joined:
    Sep 2, 2013
    Posts:
    1,706
    Plugins:
    22
    Minecraft User:
    Falkirknh
    Players need battlekits.sign.use to use signs.
  7. Legoboy0215
    Offline

    Legoboy0215 Notable Member

    Joined:
    Nov 1, 2014
    Posts:
    1,724
    Minecraft User:
    Legoboy0215
    Is there per-kit perms? Like battlekits.use.archer?
  8. Falk
    Offline

    Falk Staff Member Global Moderator

    Joined:
    Sep 2, 2013
    Posts:
    1,706
    Plugins:
    22
    Minecraft User:
    Falkirknh
    Yep, exactly like that.
    PEMapModder and Legoboy0215 like this.
  9. Legoboy0215
    Offline

    Legoboy0215 Notable Member

    Joined:
    Nov 1, 2014
    Posts:
    1,724
    Minecraft User:
    Legoboy0215
    Thanks!
  10. Thunder33345
    Offline

    Thunder33345 Notable Member

    Joined:
    Apr 3, 2014
    Posts:
    755
    Minecraft User:
    Thunder33345
    just
    set archer price to 100000000000000
  11. DunxandMinecraft
    Offline

    DunxandMinecraft Active Member

    Joined:
    Oct 26, 2014
    Posts:
    158
    Are the kits pre-coded into the plugin?
  12. Falk
    Offline

    Falk Staff Member Global Moderator

    Joined:
    Sep 2, 2013
    Posts:
    1,706
    Plugins:
    22
    Minecraft User:
    Falkirknh
    No, you can modify them in the config file.
  13. DunxandMinecraft
    Offline

    DunxandMinecraft Active Member

    Joined:
    Oct 26, 2014
    Posts:
    158
    Oh, Cool. Thanks
  14. Thunder33345
    Offline

    Thunder33345 Notable Member

    Joined:
    Apr 3, 2014
    Posts:
    755
    Minecraft User:
    Thunder33345
    yes a kit archer for references
  15. Legoboy0215
    Offline

    Legoboy0215 Notable Member

    Joined:
    Nov 1, 2014
    Posts:
    1,724
    Minecraft User:
    Legoboy0215
    LOL yaml on phpstorm ><
    [--]
  16. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,294
    Plugins:
    11
    Minecraft User:
    PEMapModder
    PhpStorm's YAML plugin is quite good.
    Legoboy0215 likes this.
  17. Legoboy0215
    Offline

    Legoboy0215 Notable Member

    Joined:
    Nov 1, 2014
    Posts:
    1,724
    Minecraft User:
    Legoboy0215
    Really? I prefer Notepad++ still... XD
    DunxandMinecraft likes this.
  18. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,294
    Plugins:
    11
    Minecraft User:
    PEMapModder
    Because you haven't tried it? :p
    Legoboy0215 likes this.
  19. Legoboy0215
    Offline

    Legoboy0215 Notable Member

    Joined:
    Nov 1, 2014
    Posts:
    1,724
    Minecraft User:
    Legoboy0215
    Tried what? I got a copy of phpstorm though, but I think it is not suitable for me.
  20. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,294
    Plugins:
    11
    Minecraft User:
    PEMapModder
    Can you explain?

    Personally, an IDE was the key for me to understand Java. I believe same for you for PHP.

Share This Page

Advertisement